type t = Base | Menu
let to_string = function Base -> "0" | Menu -> "m"
let of_string = function
| "0" -> Base
| "m" -> Menu
| s -> Ocf.invalid_value (`String s)

let ocf_wrapper = Ocf.Wrapper.string_ to_string of_string
let pp fmt l = Format.fprintf fmt "%s" (to_string l)

module Ord = struct type nonrec t = t let compare = Stdlib.compare end
module Map = Map.Make(Ord)
